From 511494e3a60b7ad055abad4ebb1045be77085aaf Mon Sep 17 00:00:00 2001
From: "Alexander I.Grafov (Axel)" <grafov@gmail.com>
Date: Tue, 17 Mar 2015 01:14:16 +0300
Subject: [PATCH] gnu: Add xcape.

* gnu/packages/xdisorg.scm (xcape): New variable.
---
 gnu/packages/xdisorg.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/xdisorg.scm b/gnu/packages/xdisorg.scm
index fbf1bbf..3db9d22 100644
--- a/gnu/packages/xdisorg.scm
+++ b/gnu/packages/xdisorg.scm
@@ -486,3 +486,35 @@ unicode, XFT and may be extended with Perl plugins.  It also comes with a
 client/daemon pair that lets you open any number of terminal windows from
 within a single process.")
     (license license:gpl3+)))
+
+(define-public xcape
+  (package
+    (name "xcape")
+    (version "1.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (string-append
+              "https://github.com/alols/" name "/archive/v" version ".tar.gz"))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "0jkdiaxc6sryrbibdgi2y1c48n4l9xyazhxr16l6h4ibddx95bk9"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f
+       #:phases (alist-delete 'configure %standard-phases)
+       #:make-flags (list (string-append "PREFIX=" (assoc-ref %outputs "out"))
+                          "MANDIR=/share/man/man1" "CC=gcc")))
+    (inputs
+     `(("libxtst" ,libxtst)
+       ("libx11" ,libx11)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (home-page "http://github.com/alols/xcape")
+    (synopsis "Use a modifier key in X.org as another key")
+    (description
+     "This utility for X.org allows to use modifier key as another key when
+pressed and released on its own.  The default behaviour is to generate
+the Escape key when Left Control is pressed and released on its own.")
+    (license license:gpl3+)))
-- 
2.2.1

